Probably not without changing Ruby itself.